Loading...
Searching...
No Matches
zones.c File Reference
`#include <grass/config.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include <grass/lidar.h>`
Include dependency graph for zones.c:

Go to the source code of this file.

## Functions

void | P_zero_dim (struct Reg_dimens *dim)
int | P_set_regions (struct Cell_head *Elaboration, struct bound_box *General, struct bound_box *Overlap, struct Reg_dimens dim, int type)
int | P_set_dim (struct Reg_dimens *dim, double pe, double pn, int *nsplx, int *nsply)
int | P_get_edge (int interpolator, struct Reg_dimens *dim, double pe, double pn)
int | P_get_BandWidth (int interpolator, int nsplines)
double | P_Mean_Calc (struct Cell_head *Elaboration, struct Point *obs, int npoints)
double | P_estimate_splinestep (struct Map_info *Map, double *dens, double *dist)
struct Point * | P_Read_Vector_Region_Map (struct Map_info *Map, struct Cell_head *Elaboration, int *num_points, int dim_vect, int layer)
struct Point * | P_Read_Raster_Region_Map (SEGMENT *in_seg, struct Cell_head *Elaboration, struct Cell_head *Original, int *num_points, int dim_vect)
int | P_Create_Aux2_Table (dbDriver *driver, char *tab_name)
int | P_Create_Aux4_Table (dbDriver *driver, char *tab_name)
int | P_Drop_Aux_Table (dbDriver *driver, char *tab_name)
void | P_Aux_to_Raster (double **matrix, int fd)
void | P_Aux_to_Vector (struct Map_info *Map, struct Map_info *Out, dbDriver *driver, char *tab_name)

## Function Documentation

## P_Aux_to_Raster()

void P_Aux_to_Raster | ( | double ** | matrix,
|  | int | fd )

Definition at line 540 of file zones.c.

References G_incr_void_ptr(), and G_percent().

## P_Aux_to_Vector()

void P_Aux_to_Vector | ( | struct Map_info * | Map,
|  | struct Map_info * | Out,
|  | dbDriver * | driver,
|  | char * | tab_name )

Definition at line 565 of file zones.c.

References Point::coordX, Point::coordY, and Point::coordZ.

## P_Create_Aux2_Table()

int P_Create_Aux2_Table | ( | dbDriver * | driver,
|  | char * | tab_name )

Definition at line 465 of file zones.c.

References FALSE, G_debug(), G_warning(), and TRUE.

## P_Create_Aux4_Table()

int P_Create_Aux4_Table | ( | dbDriver * | driver,
|  | char * | tab_name )

Definition at line 493 of file zones.c.

References FALSE, G_debug(), G_warning(), and TRUE.

## P_Drop_Aux_Table()

int P_Drop_Aux_Table | ( | dbDriver * | driver,
|  | char * | tab_name )

Definition at line 529 of file zones.c.

## P_estimate_splinestep()

double P_estimate_splinestep | ( | struct Map_info * | Map,
|  | double * | dens,
|  | double * | dist )

Definition at line 259 of file zones.c.

References G_get_set_window(), NULL, and x.

## P_get_BandWidth()

int P_get_BandWidth | ( | int | interpolator,
|  | int | nsplines )

Definition at line 218 of file zones.c.

References P_BILINEAR.

## P_get_edge()

int P_get_edge | ( | int | interpolator,
|  | struct Reg_dimens * | dim,
|  | double | pe,
|  | double | pn )

Definition at line 196 of file zones.c.

References Reg_dimens::edge_h, Reg_dimens::edge_v, P_BICUBIC, and P_BILINEAR.

## P_Mean_Calc()

double P_Mean_Calc | ( | struct Cell_head * | Elaboration,
|  | struct Point * | obs,
|  | int | npoints )

Definition at line 231 of file zones.c.

References CONTOUR, and Point::coordZ.

## P_Read_Raster_Region_Map()

struct Point * P_Read_Raster_Region_Map | ( | SEGMENT * | in_seg,
|  | struct Cell_head * | Elaboration,
|  | struct Cell_head * | Original,
|  | int * | num_points,
|  | int | dim_vect )

Definition at line 387 of file zones.c.

References Point::coordX, Point::coordY, Point::coordZ, Segment_get(), and x.

## P_Read_Vector_Region_Map()

struct Point * P_Read_Vector_Region_Map | ( | struct Map_info * | Map,
|  | struct Cell_head * | Elaboration,
|  | int * | num_points,
|  | int | dim_vect,
|  | int | layer )

Definition at line 322 of file zones.c.

References Point::cat, Point::coordX, Point::coordY, Point::coordZ, Point::lineID, NULL, and x.

## P_set_dim()

int P_set_dim | ( | struct Reg_dimens * | dim,
|  | double | pe,
|  | double | pn,
|  | int * | nsplx,
|  | int * | nsply )

Definition at line 117 of file zones.c.

References Reg_dimens::edge_h, Reg_dimens::edge_v, Reg_dimens::ew_size, G_get_window(), Reg_dimens::overlap, and Reg_dimens::sn_size.

## P_set_regions()

int P_set_regions | ( | struct Cell_head * | Elaboration,
|  | struct bound_box * | General,
|  | struct bound_box * | Overlap,
|  | struct Reg_dimens | dim,
|  | int | type )

Definition at line 53 of file zones.c.

References Reg_dimens::edge_h, Reg_dimens::edge_v, Reg_dimens::ew_size, FIRST_COLUMN, FIRST_ROW, G_get_window(), GENERAL_COLUMN, GENERAL_ROW, LAST_COLUMN, LAST_ROW, Reg_dimens::overlap, and Reg_dimens::sn_size.

## P_zero_dim()

void P_zero_dim | ( | struct Reg_dimens * | dim | ) |

Definition at line 9 of file zones.c.

References Reg_dimens::edge_h, Reg_dimens::edge_v, Reg_dimens::ew_size, Reg_dimens::overlap, and Reg_dimens::sn_size.